import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
//importing from react dom
//import {} from 'd3';
//importing from useData.js file 
import { useData } from './useData';
//importing from Marks.js
import { Marks } from './Marks';
//shape of the plane
const width = 950;
const height = 550;
//to get the data
const App = () => {
  const data = useData();
  if (!data) {
    return <p>wait!!</p>;
  }

  return (
    <svg width={width} height={height}>
      <Marks
        data={data}
      
      />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
